VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Here is a list of all class members with links to the classes they belong to:

### - p -

- padControl : PadController
- PadController() : PadController
- paramChangeListeners : VST3Editor
- ParamDisplayCreator() : ParamDisplayCreator
- parameter : ParameterChangeListener , GroupController
- ParameterChangeListener() : ParameterChangeListener
- ParameterChangeListenerMap : VST3Editor
- parentFrame : CView::Impl
- parentLayerView : CLayeredViewContainer
- parentSizeChanged() : CView , CViewContainer , CExternalView , CExternalControl , CLayeredViewContainer , CTextEdit , COpenGLView
- parentView : CView::Impl
- parse() : CompressedUIDescription , UIDescription , Parser
- parsed() : UIDescription
- Parser() : Parser
- path : CGradientView , CGraphicsPath
- PathDrawMode : CDrawContext
- penLoc : CDrawContext::Impl::State
- performDrag() : CFrame
- performEdit : IControlViewExtension::EditCallbacks , ParameterChangeListener , IValue
- pHandle : CKnob , CSlider::Impl
- Phase : GestureEvent
- phase : GestureEvent
- pImpl : Parser
- pixelAccess : CBitmapPixelAccess
- placeholderString : CTextEdit
- plainToNormalized() : IValueConverter
- platformControl : CTextEdit
- platformDrawRects() : CFrame
- platformFileSelector : CNewFileSelector::Impl
- platformFont : CFontDesc , CTextEdit
- platformFrame : CFrame::Impl
- platformGetBackColor() : CTextEdit
- platformGetFont() : CTextEdit
- platformGetFontColor() : CTextEdit
- platformGetHoriTxtAlign() : CTextEdit
- platformGetPlaceholderText() : CTextEdit
- platformGetSize() : CSearchTextEdit , CTextEdit
- platformGetText() : CTextEdit
- platformGetTextInset() : CTextEdit
- platformGetVisibleSize() : CSearchTextEdit , CTextEdit
- platformGradient : CGradient
- platformIsSecureTextEdit() : CTextEdit
- platformLooseFocus() : CTextEdit
- platformOnActivate() : CFrame
- platformOnDragEnter() : CFrame
- platformOnDragLeave() : CFrame
- platformOnDragMove() : CFrame
- platformOnDrop() : CFrame
- platformOnEvent() : CFrame
- platformOnKeyboardEvent() : CTextEdit
- platformOnWindowActivate() : CFrame
- platformOpenGLViewCreated() : COpenGLView
- platformOpenGLViewSizeChanged() : COpenGLView
- platformOpenGLViewWillDestroy() : COpenGLView
- platformScaleFactor : CFrame::Impl
- platformScaleFactorChanged() : CFrame
- platformStream : CResourceInputStream
- platformTextDidChange() : CSearchTextEdit , CTextEdit
- PlatformTextEditPtr : CTextEdit
- platformTimer : CVSTGUITimer
- platformViewTypeSupported() : IView , ViewAdapter
- pointer : UTF8CodePointIterator< BaseIterator >
- pointInside() : CRect
- PointList : CDrawContext
- PointMap : InterpolationTimingFunction
- points : InterpolationTimingFunction
- pointToString() : UIAttributes
- popTransform() : CDrawContext
- popup() : COptionMenu
- PopupCallback : COptionMenu
- pos : DragEventData , CMemoryStream
- postEventFunctionQueue : CFrame::Impl
- PostEventHandler() : CFrame::Impl::PostEventHandler
- PowerTimingFunction() : PowerTimingFunction
- PreciseDeltas : MouseWheelEvent
- Preferences() : Preferences
- prefixNumbers : COptionMenu
- prependMenuSeparator() : MenuBuilderAdapter , IMenuBuilder
- previewBackgroundColor : CFontChooserUIDefinition
- previewTextColor : CFontChooserUIDefinition
- previous() : UTF8CharacterIterator
- previousPixmap() : CAutoAnimation
- Property() : Property
- ptr : SharedPointer< I >
- pushTransform() : CDrawContext